# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class UserInfoUserOrgInfo(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'display_name': 'str',
        'name': 'str',
        'org_roles': 'list[UserInfoOrgRoles]',
        'services_def': 'list[UserInfoServicesDef]'
    }

    attribute_map = {
        'display_name': 'displayName',
        'name': 'name',
        'org_roles': 'orgRoles',
        'services_def': 'servicesDef'
    }

    def __init__(self, display_name=None, name=None, org_roles=None, services_def=None):  # noqa: E501
        """UserInfoUserOrgInfo - a model defined in Swagger"""  # noqa: E501
        self._display_name = None
        self._name = None
        self._org_roles = None
        self._services_def = None
        self.discriminator = None
        if display_name is not None:
            self.display_name = display_name
        if name is not None:
            self.name = name
        if org_roles is not None:
            self.org_roles = org_roles
        if services_def is not None:
            self.services_def = services_def

    @property
    def display_name(self):
        """Gets the display_name of this UserInfoUserOrgInfo.  # noqa: E501


        :return: The display_name of this UserInfoUserOrgInfo.  # noqa: E501
        :rtype: str
        """
        return self._display_name

    @display_name.setter
    def display_name(self, display_name):
        """Sets the display_name of this UserInfoUserOrgInfo.


        :param display_name: The display_name of this UserInfoUserOrgInfo.  # noqa: E501
        :type: str
        """

        self._display_name = display_name

    @property
    def name(self):
        """Gets the name of this UserInfoUserOrgInfo.  # noqa: E501


        :return: The name of this UserInfoUserOrgInfo.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this UserInfoUserOrgInfo.


        :param name: The name of this UserInfoUserOrgInfo.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def org_roles(self):
        """Gets the org_roles of this UserInfoUserOrgInfo.  # noqa: E501


        :return: The org_roles of this UserInfoUserOrgInfo.  # noqa: E501
        :rtype: list[UserInfoOrgRoles]
        """
        return self._org_roles

    @org_roles.setter
    def org_roles(self, org_roles):
        """Sets the org_roles of this UserInfoUserOrgInfo.


        :param org_roles: The org_roles of this UserInfoUserOrgInfo.  # noqa: E501
        :type: list[UserInfoOrgRoles]
        """

        self._org_roles = org_roles

    @property
    def services_def(self):
        """Gets the services_def of this UserInfoUserOrgInfo.  # noqa: E501


        :return: The services_def of this UserInfoUserOrgInfo.  # noqa: E501
        :rtype: list[UserInfoServicesDef]
        """
        return self._services_def

    @services_def.setter
    def services_def(self, services_def):
        """Sets the services_def of this UserInfoUserOrgInfo.


        :param services_def: The services_def of this UserInfoUserOrgInfo.  # noqa: E501
        :type: list[UserInfoServicesDef]
        """

        self._services_def = services_def

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(UserInfoUserOrgInfo, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, UserInfoUserOrgInfo):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
